Subject: Re: [PATCH] sequencer.c: abbreviate hashs placed in the middle of messages

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 May 2015 13:24:49 -0700

Ralf Thielow <[email-masked]> writes:

> Junio C Hamano <[email-masked]> wrote:
>
>> And shortening the output feels to me a more expedient thing to do
>> because we do not have to analyse the ramification of possible
>> information loss (your "It has value since...").  If we analyse the
>> issue well, we might realize that there is little point in showing
>> the commit object name in hexadecimal, be it in full or in shortened
>> form.
>>
>> If the proposal were to parrot what the user typed on the command
>> line, e.g. one of these (or their rephrased versions)
>>
>>         error: commit 'next' is a merge but no -m option was given.
>>         error: no -m option was given to pick a merge 'next'.
>>
>> against the above example, then I would say that would be an
>> improvement, but that is not what is being discussed, so...
>
> Commits to be merged don't have to be branches.

I am not sure how that changes anything.

    $ git cherry-pick 38e70713119c25ab5699df6b2fb13e4133d399ab
    error: that commit is a merge and you didn't give me -m <which-parent>

    $ git cherry-pick 38e70713119c25ab5699df6b2fb13e4133d399ab
    error: the commit 38e707... is a merge and you didn't give me -m <which-parent>

Puzzled.